package com.caliverse.admin.domain.entity;

public enum SANCTIONS implements BaseEnumCode<String>{
    Bad_Behavior("비매너 행위"),
    Inappropriate_Name("불건전 이름 사용"),
    Cash_Transaction("현금거래 행위"),
    Game_Interference("게임 진행 방해"),
    Service_Interference("운영서비스 방해"),
    Account_Impersonation("계정도용"),
    Bug_Abuse("버그/어뷰징"),
    Illegal_Program("불법프로그램 사용"),
    Personal_Info_Leak("개인정보 유출"),
    Admin_Impersonation("운영자 사칭");

    private final String reason;

    SANCTIONS(String reason) {
        this.reason = reason;
    }

    @Override
    public String getValue() {
        return this.reason;
    }
}
